LINUX.ORG.RU

Состоялся выпуск openSUSE Leap 42.1

 


1

3

Новая версия дистрибутива openSUSE примечательна тем, что в качестве основы она испольует коммерческий дистрибутив SLE 12 Service Pack 1 (SP1), и будет получать исправления и обновления безопасности из SLE.

Доступны сборки для архитектур x86_64, ARMv7 и ARMv8 (AArch64). 32-битные x86-системы не поддерживаются.

В состав выпуска вошли:

  • Linux 4.1 (LTS)
  • KDE Plasma 5.4.2 и Qt 5.5
  • GNOME 3.16.2
  • MATE 1.10
  • XFCE 4.12.1
  • Enlightenment 19 (0.19.12)
  • Libreoffice 5.0.2
  • GNU Compiler Collection 4.8.5 (опционально — GCC 5.2)
  • QEMU 2.3.1
  • VirtualBox 5.0.6
  • Docker 1.8.2

В этом выпуске улучшена интеграция с механизмом снапшотов Btrfs. Дальнейшее развитие получил графический настройщик YaST. Системных администраторов также может заинтересовать инструмент Machinery.

Поддерживается обновление с предыдущего выпуска — openSUSE 13.2.

>>> Подробности

★★★★★

Проверено: leave ()

Ну, замечательно. Подожду месяцок-другой и к новому году систему обновлю.

P.S. Забавляют боли людей, которые полезли тестить только что вышедший дистрибутив. Ребята, а чего вы все ожидали? Молочных рек и кисельных берегов без багов и ошибок? Да когда это было?

Shtirliz72 ()
Ответ на: комментарий от templarrr

Видимо по сравнению с федорой, 13.2 был не таким уж и бажным.

DawnCaster ()
Ответ на: комментарий от Shtirliz72

У сузи такого не было уже очень давно. Последняя более-менее нормальная версия, которая нормально работала сразу «из коробки» - была версия 10.x

В тоже время, сейчас от сузи ожидают, что она хоть немного лучше станет чем 13.2. SLE 12, на котором она основана - уже достаточно долго существует.

DawnCaster ()
Ответ на: комментарий от DawnCaster

Последняя более-менее нормальная версия, которая нормально работала сразу «из коробки» - была версия 10.x

Зачем же так категорично? 12.3 была как раз даже очень. Тринадцатые версии - да.. Видимо чертова дюжина повлияла.

chuzhoi ()
Ответ на: комментарий от kknight

Не, ну ты ж про выше про zypper говорил, а он консольный.

В случае же с ястом это конечно не дело. Сообщение о занятости другим процессом должно присутствовать, странно что не додумались. Или может баг какой.

soko1 ★★★★★ ()

Кстати, в новости ни слова о том почему произошёл такой скачёк в версии - с 13.2 до 42.1. Поясните и подправьте плз.

soko1 ★★★★★ ()
Ответ на: комментарий от chuzhoi

Вам видимо повезло с 12.3. Вообще, 12-я ветка была лучше 13-й, это однозначно. Но, между тем, я давно уже не помню такой стабильности как в 9-ке (и 10-ке). Там всё ставилось с 1 диска DVD-9, и пользоваться какими-то обновлениями из-за того что что-то было сломано «из коробки» приходилось всего пару раз.

Сейчас-же нормальное явление, когда в дистрибутиве что-то сломано сразу в релизе. Ситуация даже хуже чем в венде 10.

Лично на моей памяти - первые серьезные проблемы на момент релиза появились в 11-й версии (вроде-бы), когда туда впилили сырой пульс-аудио, а потом и SystemD (в 11.3 вроде-бы). Ещё «глобально» так качество падало, когда меняли Gnome 2 на Gnome 3 и KDE3 на KDE4. Вроде, если я правильно помню, это всё на 11-ю ветку попало.

DawnCaster ()
Ответ на: комментарий от DawnCaster

Ну справедливости ради надо заметить, что в openSUSE всегда можно было выбрать: нужен этот убогий PA или нет. Прям вот одной галочкой решалось. В частности за это я ее и пользую, что мало что вколочено «на совесть». Даже в хваленом kiss арче я так и не понял, как удалить пакет с firmware ядра. Пакман не давал, говорил, что ядру нужен. В сусе - запросто. Уж лучше я руками 3 фирмвари положу куда надо, чем пакет на 70 метров буду таскать.

Пока что в свежей 42.1 я багов не встретил, что радует. Даже переключался языков, настроенная при установке, не слетает (в 13.2 это просто выбешивало).

gutaper ★★★★ ()

рановато ещё обновляться конечно.

плазмоидов нет многих, иконки в трее вообще хз какие.

но вроде не тормозит и не падает ничего пока.

pyometra ★★★★★ ()
Ответ на: комментарий от DawnCaster

Бывает - незаменимых нет. Я бы с удовольствием поучавствовал в развитии дистрибутива, но нахер я там кому нужен :)

Deleted ()
Ответ на: комментарий от Deleted

Я принципиально не участвую в этом цирке с конями, которое сейчас называется словом импортозамещение (слово «нанотехнологии» видимо уже вышло из модны нынче), и вам не советую: возни по зомбоящику много - а результат нулевой.

Раз уж речь зашла об отечественных разработках, вы не в курсе - Альт Линукс ещё торт ? А то помниться во всю им пользовался в качестве основного лет 8 назад на своей предыдущей работе, а потом он как-то совсем отошел на второй план для меня.

DawnCaster ()

Свершилось чудо!

Решился я попробовать вашу suse после debian. Сначало взял кде, и о чудо!!!! Из коробки заработало всё!!! 2015 год и оно работает! Радости полные штаны! Далее я всё же решился попробовать gnome3, и что вы думаете?! Да, черт возьми, оно работает!!! Засыпание, подсветки, всё шустро и быстро. Установка прошла легко и не принуждённо. Нинужно пытаться ставить fglrx ибо карточка работает и с открытыми драйверами, разницы не заметил!!!

Ставил через netinstall. В общем целом я в восторге!

ggrn ★★★★★ ()
Ответ на: комментарий от DawnCaster

А вы посмотрите у гнома...

Стыдно сказать, но лень мне смотреть.
Тем более, кто-то уже проверил, или проверит в ближайшее время.

Essentuki_17 ★★ ()
Ответ на: комментарий от soko1

в чём принципиальная разница?
В размещении панели и шрифте?

Да

Essentuki_17 ★★ ()
Ответ на: комментарий от ii8_

Дык как бы компы с возрастом в 64-разрядные сами по себе не превращаются :(

PVOzerski ★★★ ()
Ответ на: комментарий от DawnCaster

Что до Альта - торт он там или не торт, но юзабелен и не особо прожорлив. Хотя некоторые системные библиотеки явно устарели (что сказывается на возможности ставить «универсальные» пакеты от разработчиков, вроде 32-разрядных нестабильных сборок хромо-Оперы). И что-то у них стопорится с очередным релизом: обещали сперва на октябрь, а теперь уже на декабрь. Но в целом после суси жить можно - хотя Alterator до Yast не дотягивает явно, а zypper, на мой взгляд, удобнее, чем apt (например, apt не терпит пакетов, установленных принудительно с неразрешенными зависимостями).

PVOzerski ★★★ ()
Ответ на: комментарий от PVOzerski

дело не оч дорогое - превратить в x64 комп. вон уже мобилы частично попревращали.

ii8_ ★★★★ ()
Ответ на: комментарий от templarrr

Понравился апплет принтера в системном лотке или на рабочий стол можно кинуть: получил наконец-то нормальный доступ к очереди заданий (можно удалить любое без всяких прав администратора) и к настройкам принтера.

Настройки появления нового окна: начали появляться по центру наконец-то (как настроено), а не в левом верхнем углу, правда через день опять поломалось, может потому, что пакеты от 4-ки доставил.

KMix поприятнее. Обновления софта в системном лотке и так по мелочам.

GladAlex ★★★★★ ()
Последнее исправление: GladAlex (всего исправлений: 1)
Ответ на: комментарий от ii8_

Расскажи это, например, г-ну Ливанову (министру образования и науки), Ок?

PVOzerski ★★★ ()

Чой-то отзывы хорошие здесь пошли о дистре. Я аж глаза протёр, но нет, таки на ЛОРе сижу. Неужель дистр таки получился годным?
На моей памяти (а Зузю я юзаю с 11.3) самым годным дистром был 12.1, но и 11.4 тоже ничо так. А потом начались шатания и 13.2 стал апофеозом всего этого идиотизма. Это когда после установки отваливается сетка, а викед невменяемый, НМ не пашет, а ифап эти мудаки зачем-то выпилили.
Ну ок, как репы подтянутся, то потестим, ибо всякие дополнительные репы ещё недоступны. Авось и вправду всё будет збс.

Vier_E ★★★ ()
Ответ на: комментарий от registrant

толсто

Я сурьёзен!!!

ggrn@linux-trsk:~> uname -a
Linux linux-trsk.suse 4.1.12-1-default #1 SMP PREEMPT Thu Oct 29 06:43:42 UTC 2015 (e24bad1) x86_64 x86_64 x86_64 GNU/Linux
ggrn ★★★★★ ()

кстати о внешнем виде- это нормально, что нет значков в трее - thunderbird, dropbox, skype?

pyometra ★★★★★ ()
Ответ на: комментарий от pyometra

sni-qt установлен? Вроде бы в пятой плазме вместо классического трея какое-то подобие индикаторов из юнити (могу ошибаться).

templarrr ★★★★★ ()
Ответ на: комментарий от soko1

zypper и yast используют один и тот же механизм - libzypp.

kknight ★★★★ ()
Ответ на: комментарий от debosh2k

Да. Из перечня- дропбокс, тундерберд, скайп-самый ненужный.

pyometra ★★★★★ ()

Libreoffice 5.0.2

А в openSUSE можно поставить still-версию либры, т.е. 4.4.6 ?

И если да, то как?

greenman ★★★★★ ()
Последнее исправление: greenman (всего исправлений: 1)
Ответ на: комментарий от pyometra

мне трудно судить - я ни одно из этого не юзаю :))) малой, правда, скайп в качестве ингейм-войса пользует.

debosh2k ()

Новая версия - супер. Я смотрю все претензии тут к пятым кедам. Я сижу на Gnome к сузе претензий никаких. Все летает, думаю может поэксперементировать и поставить Gnome посвежее.
Кстати может тут есть опытные сузеводы. Есть репозитории http://download.opensuse.org/repositories/ И там довольно много репозиториев с названиями типа %reponame% и %reponame:% чем они отличаются? Я так понял те что с двоеточием основные (или может быть протестированные).

teisatsu ()
Ответ на: комментарий от teisatsu

с двоеточием - это _набор_ реп, сгруппированных по какому нить признаку - например по веткам разработки.

debosh2k ()
Ответ на: комментарий от teisatsu

http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.1/

здесь идет развитие вайна, всякие свн сборки, стайжинг тоже лежит.

http://download.opensuse.org/repositories/Emulators/openSUSE_Leap_42.1/

тут всякие емуляторы и вайн тоже, по сути он копируется из Emulators:/Wine

на самом деле это очень удобно, особенно например всякие кде и прочее можно иметь в разных репах с разным qt, или прикладные кде программы, есть репа где они с собираются на основе стабильного выпуска, а есть где на основе сборки из свн, и каждый может получить что он хочет, удобная гибкость.

Novell-ch ★★★★★ ()
Ответ на: комментарий от Essentuki_17

Хотел посмотреть, да в душе не целую как его теперь включить. Поверхностный гугл сказал что режим теперь называется «Flashback» поиск по этому слову в репах тоже ничего не дал. При запуске можно выбрать только Gnome и IceWM

teisatsu ()

KDE Plasma 5

Я извиняюсь, у меня одного Plasma 5 спамит в ~/.xsession-errors ?

wtsch ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.